package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KeadaanTaliPusat
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KeadaanTaliPusat_M")
public class KeadaanTaliPusatVO extends BaseMasterVO {
	@Caption(value="Kode Keadaan Tali Pusat")
	private Byte kdKeadaanTaliPusat;

	public void setKdKeadaanTaliPusat(Byte kdKeadaanTaliPusat) {
		this.kdKeadaanTaliPusat = kdKeadaanTaliPusat;
	}

	@Column(name = "KdKeadaanTaliPusat", nullable = false )
	public Byte getKdKeadaanTaliPusat(){
		return this.kdKeadaanTaliPusat;
	}

	@Caption(value="Keadaan Tali Pusat")
	private String keadaanTaliPusat;

	public void setKeadaanTaliPusat(String keadaanTaliPusat) {
		this.keadaanTaliPusat = keadaanTaliPusat;
	}

	@Column(name = "KeadaanTaliPusat", nullable = false , length = 30)
	public String getKeadaanTaliPusat(){
		return this.keadaanTaliPusat;
	}

	@Caption(value="QKeadaan Tali Pusat")
	private Byte qKeadaanTaliPusat;

	public void setqKeadaanTaliPusat(Byte qKeadaanTaliPusat) {
		this.qKeadaanTaliPusat = qKeadaanTaliPusat;
	}

	@Column(name = "QKeadaanTaliPusat", nullable = false )
	public Byte getqKeadaanTaliPusat(){
		return this.qKeadaanTaliPusat;
	}


}

